Bug 6013 - 3 neu afghan keymaps created (dari, pashto, southern uzbek), add to xkb
3 neu afghan keymaps created (dari, pashto, southern uzbek), add to xkb
Status: RESOLVED FIXED
Product: xkeyboard-config
Classification: Unclassified
Component: General
unspecified
All Linux (All)
: high normal
Assigned To: xkb
http://www.afghanischerKulturverein.d...
: l10n, patch
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 22:00 UTC by M. Emal Alekozai
Modified: 2006-02-24 11:07 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
3 Afghan keymaps (Dari, Pashto, southern Uzbek), files already tested a local Debian 3.1 Linux PC (see http://www.afghanischerkulturverein.de/en/afghanComputer_en.php ) (2.34 KB, text/ Textfile (keymaps) packed with tar and gzip)
2006-02-23 22:07 UTC, M. Emal Alekozai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description M. Emal Alekozai 2006-02-23 22:00:54 UTC
Dear members of freedesktop.org and xkb, 

some time ago I realized that there are no keymaps for the afghan keyboard
avialable (see [1],[2] and [7]). I have created 3 keymaps and sended them to the
"Debian X Strike Force" (maintainer of the xkb package in Debian) [3]. There I
as was asked to request a bug at freedesktop.org [4].

[1] http://lists.debian.org/debian-user/2006/02/msg01528.html
[2] http://lists.debian.org/debian-user/2006/02/msg01530.html
[3] http://lists.debian.org/debian-x/2006/02/msg00654.html
[4] http://lists.debian.org/debian-x/2006/02/msg00656.html


In 2003-07-29 the "Ministry of Communications of Afghanistan" and UNDP
Afghanistan have defined three keymaps for the three local Afghan languages (see
[5] and [6]). Some time ago I realized that the keymaps were not implemented
under Linux [7].

In Afghanistan there are three main languages used Dari, Pashto and southern Uzbek.
I created the three corresponding keymaps:
- fa_af   Dari keymap
- ps_af   Pashto keymap
- uz_af   Uzbek keymap

The keymaps are available for download under [8]. I think thees keymaps are
helpful for all people who want to use a Afghan keyboard under Linux/ Unix. I
wrote also a MINI HOWTO how to install and use the keymaps [9].

Could these keymaps please be added to the xkb package. Notes, corrections or
additions are welcomed.

[5] http://www.evertype.com/standards/af/
[6] http://www.evertype.com/standards/af/af-locales.pdf
[7] http://www.evertype.com/standards/af/enabled.html
[8] http://www.afghanischerkulturverein.de/doc/afghanKeymaps.tar.gz
[9] http://www.afghanischerKulturverein.de/en/afghanComputer_en.php


Regards M. Emal Alekozai
memala@gmx.net
Comment 1 M. Emal Alekozai 2006-02-23 22:07:48 UTC
Created attachment 4727 [details]
3 Afghan keymaps (Dari, Pashto, southern Uzbek), files already tested a local Debian 3.1 Linux PC  (see http://www.afghanischerkulturverein.de/en/afghanComputer_en.php ) 

3 Afghan keymaps (Dari, Pashto, southern Uzbek)
Comment 2 Sergey V. Udaltsov 2006-02-24 06:38:41 UTC
I am going to put them all as af(..) variant (according to xkeyboard-config
rules). Which of them would be better to use as "default" Afghan vairant?
Comment 3 M. Emal Alekozai 2006-02-24 19:47:52 UTC
(In reply to comment #2)
> I am going to put them all as af(..) variant (according to xkeyboard-config
> rules). Which of them would be better to use as "default" Afghan vairant?

In  the Afghan constitution form 2004 [1] in article 16 “Pashto” and “Dari” are
defined as equivalent official languages for Afghanistan.
If one chooses “Dari” as the default keymap one gets in trouble with the people
who speak “Pashto” and vice versa.
1 :
http://www.jemb.org/eng/Legal%20Framework/Legislation%20of%20Reference/Constitution/Constitution%20(English).pdf

More people in Afghanistan speak and understand Dari than Pashto [2] . Making
“Dari” the default keymap is the lesser of the two evils.

2: http://www.cia.gov/cia/publications/factbook/geos/af.html#People
Comment 4 M. Emal Alekozai 2006-02-24 19:50:58 UTC
(In reply to comment #2)
> I am going to put them all as af(..) variant (according to xkeyboard-config
> rules). Which of them would be better to use as "default" Afghan vairant?

---Sorry in my last posting the first lines have get cropped ---

It's a problem to chose one of them as the default language for Afghanistan.
In Afghanistan the three languages “Dari”, “Pashto” and “southern Uzbek” are
mainly used. All three languages are very different form each other. It is not
like in German were you have a main language and several dialects. 

In  the Afghan constitution form 2004 [1] in article 16 “Pashto” and “Dari” are
defined as equivalent official languages for Afghanistan.
If one chooses “Dari” as the default keymap one gets in trouble with the people
who speak “Pashto” and vice versa.
1 :
http://www.jemb.org/eng/Legal%20Framework/Legislation%20of%20Reference/Constitution/Constitution%20(English).pdf

More people in Afghanistan speak and understand Dari than Pashto [2] . Making
“Dari” the default keymap is the lesser of the two evils.

2: http://www.cia.gov/cia/publications/factbook/geos/af.html#People
Comment 5 Sergey V. Udaltsov 2006-02-25 05:56:08 UTC
Ok, it makes sense to me. Thank a bunch. I will commit it all ASAP.
Comment 6 Sergey V. Udaltsov 2006-02-25 06:07:46 UTC
committed